Bug 58127 - Update port: editors/poedit to 1.2.3
Summary: Update port: editors/poedit to 1.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-16 15:50 UTC by tkato
Modified: 2003-11-09 23:19 UTC (History)
0 users

See Also:


Attachments
file.diff (4.16 KB, patch)
2003-10-16 15:50 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-10-16 15:50:23 UTC
- Update to version 1.2.3
Comment 1 tkato 2003-11-05 13:30:23 UTC
Here is an up-to-date patch.

diff -urN /usr/ports/editors/poedit/Makefile editors/poedit/Makefile
--- /usr/ports/editors/poedit/Makefile	Wed Nov  5 20:36:01 2003
+++ editors/poedit/Makefile	Wed Nov  5 20:46:20 2003
@@ -7,34 +7,48 @@
 #
 
 PORTNAME=	poedit
-PORTVERSION=	1.2.2
-PORTREVISION=	1
+PORTVERSION=	1.2.3
 CATEGORIES=	editors
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	gettext catalogs (.po files) editor
+COMMENT=	Gettext catalogs (.po files) editor
 
 BUILD_DEPENDS=	zip:${PORTSDIR}/archivers/zip
-LIB_DEPENDS=	db3.3:${PORTSDIR}/databases/db3 \
-		intl.5:${PORTSDIR}/devel/gettext \
+LIB_DEPENDS=	intl.5:${PORTSDIR}/devel/gettext \
 		wx_gtk-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk-devel
 
 USE_X_PREFIX=	yes
 USE_REINPLACE=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 
-CPPFLAGS=	-I${LOCALBASE}/include/db3 -I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS}
+CPPFLAGS=	-I${LOCALBASE}/include/db${USE_BDB_VER} \
+		-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 LDFLAGS=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 
 MAN1=	poedit.1
 
+.if defined(WITH_BDB_VER)
+USE_BDB_VER=    ${WITH_BDB_VER}
+.else
+USE_BDB_VER=	3
+.endif
+.if ${USE_BDB_VER} == 41
+LIB_DEPENDS+=	db41.1:${PORTSDIR}/databases/db41
+.elif ${USE_BDB_VER} == 4
+LIB_DEPENDS+=	db4.0:${PORTSDIR}/databases/db4
+.elif ${USE_BDB_VER} == 3
+LIB_DEPENDS+=	db3.3:${PORTSDIR}/databases/db3
+.else
+BROKEN=		"WITH_BDB_VER must be 3, 4 or 41"
+.endif
+
 post-patch:
-	@${REINPLACE_CMD} -e 's|db-3.1;|db-3.1 db3;|g ; \
+	@${REINPLACE_CMD} -e 's|db-3.1;|db-3.1 db${USE_BDB_VER};|g ; \
 		 s|-O3||g' ${WRKSRC}/configure
 
 .include <bsd.port.mk>
diff -urN /usr/ports/editors/poedit/distinfo editors/poedit/distinfo
--- /usr/ports/editors/poedit/distinfo	Sat May 10 17:53:25 2003
+++ editors/poedit/distinfo	Mon Oct 13 21:08:55 2003
@@ -1 +1 @@
-MD5 (poedit-1.2.2.tar.gz) = c1f722c11218d31269f98d686ff73792
+MD5 (poedit-1.2.3.tar.gz) = 29180bc3e4e128bc0c6bee446b670d0f
diff -urN /usr/ports/editors/poedit/files/patch-Makefile.in editors/poedit/files/patch-Makefile.in
--- /usr/ports/editors/poedit/files/patch-Makefile.in	Wed Sep 18 02:36:41 2002
+++ editors/poedit/files/patch-Makefile.in	Mon Oct 13 21:12:28 2003
@@ -1,11 +1,11 @@
---- Makefile.in.orig	Wed Sep 11 18:20:10 2002
-+++ Makefile.in	Tue Sep 17 19:51:27 2002
-@@ -93,7 +93,7 @@
- WX_LIBS_STATIC = @WX_LIBS_STATIC@
- WX_VERSION = @WX_VERSION@
+--- Makefile.in.orig	Wed Oct  1 06:02:27 2003
++++ Makefile.in	Mon Oct 13 21:12:22 2003
+@@ -153,7 +153,7 @@
+ target_os = @target_os@
+ target_vendor = @target_vendor@
  
 -SUBDIRS = extras src docs install locales
 +SUBDIRS = extras src docs locales
+ subdir = .
  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
- CONFIG_CLEAN_FILES = 
diff -urN /usr/ports/editors/poedit/pkg-plist editors/poedit/pkg-plist
--- /usr/ports/editors/poedit/pkg-plist	Sat May 10 17:53:25 2003
+++ editors/poedit/pkg-plist	Mon Oct 13 21:43:22 2003
@@ -1,4 +1,5 @@
 bin/poedit
+share/locale/af_ZA/LC_MESSAGES/poedit.mo
 share/locale/bg/LC_MESSAGES/poedit.mo
 share/locale/ca/LC_MESSAGES/poedit.mo
 share/locale/cs/LC_MESSAGES/poedit.mo
@@ -7,20 +8,26 @@
 share/locale/el/LC_MESSAGES/poedit.mo
 share/locale/es/LC_MESSAGES/poedit.mo
 share/locale/et/LC_MESSAGES/poedit.mo
+share/locale/fa_IR/LC_MESSAGES/poedit.mo
 share/locale/fr/LC_MESSAGES/poedit.mo
 share/locale/hr/LC_MESSAGES/poedit.mo
+share/locale/hu/LC_MESSAGES/poedit.mo
 share/locale/is/LC_MESSAGES/poedit.mo
 share/locale/it/LC_MESSAGES/poedit.mo
 share/locale/ja/LC_MESSAGES/poedit.mo
 share/locale/ka/LC_MESSAGES/poedit.mo
+share/locale/lt/LC_MESSAGES/poedit.mo
 share/locale/lv/LC_MESSAGES/poedit.mo
 share/locale/nb/LC_MESSAGES/poedit.mo
 share/locale/nl/LC_MESSAGES/poedit.mo
 share/locale/nn/LC_MESSAGES/poedit.mo
 share/locale/pl/LC_MESSAGES/poedit.mo
 share/locale/pt_BR/LC_MESSAGES/poedit.mo
+share/locale/pt_PT/LC_MESSAGES/poedit.mo
 share/locale/ro/LC_MESSAGES/poedit.mo
 share/locale/ru/LC_MESSAGES/poedit.mo
+share/locale/sl/LC_MESSAGES/poedit.mo
+share/locale/sr/LC_MESSAGES/poedit.mo
 share/locale/sk/LC_MESSAGES/poedit.mo
 share/locale/sv_SE/LC_MESSAGES/poedit.mo
 share/locale/ta/LC_MESSAGES/poedit.mo
Comment 2 Max Khon freebsd_committer 2003-11-09 23:16:08 UTC
State Changed
From-To: open->closed

Committed, thanks!